#ifndef SCD_IPC_H
#define SCD_IPC_H
/*
 *
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *
 * $Revision: 1.2 $  $Date: 2003/03/29 12:21:10 $
 *
 * ----------------------------------------------------------------------------
 * $Log: bsipc.h,v $
 * Revision 1.2  2003/03/29 12:21:10  csmith
 * cvs merge to 0.3.4
 *
 * Revision 1.5  2002/11/30 14:04:42  chris
 * GPL headers
 *
 * Revision 1.4  2002/06/10 17:34:47  chris
 * All phlib includes have phlib/ prefix and gwlib includes have nothing.
 *
 * Revision 1.3  2002/05/30 19:35:55  chris
 * Read maxclients from config and configure table in SHM
 *
 * Revision 1.2  2002/03/17 18:43:51  chris
 * Handle the destruction of semaphores and shm on exit
 *
 * Revision 1.1  2002/02/17 22:31:29  chris
 * New sources - not all of these will be staying...
 *
 * Revision 1.7  2001/12/26 22:57:42  chris
 * Changed all references to Imagepage Computing to netFluid Technology.
 *
 * Revision 1.6  2001/06/03 10:49:03  chris
 * Removed attach_bb.
 *
 * Revision 1.5  2001/04/15 12:55:32  chris
 * Introduced domain table handling.
 *
 * Revision 1.4  2001/03/19 15:47:42  chris
 * Added xl_types.h
 *
 * Revision 1.3  2001/03/05 14:24:17  chris
 * Creates service map list.
 *
 * Revision 1.2  2001/01/14 18:46:00  chris
 * Added send_boot_command to prototypes.
 *
 * Revision 1.1  2001/01/14 18:22:49  chris
 * Initial revision
 *
 * ----------------------------------------------------------------------------
 */

#include <phlib/xl_types.h>
#include <goldreq.h>

int        get_private_queue ( );
int        remove_queue( int id );
BBControl *create_bb   ( key_t ipckey, int max_serv, int max_svc, int max_clt, int max_dom);
RetValue   destroy_bb  ( );

#endif



