#ifndef GOLD_INIT_H
#define GOLD_INIT_H
/*
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Revision: 1.2 $  $Date: 2003/03/29 12:21:10 $
 * ----------------------------------------------------------------------------
 * $Log: goldinit.h,v $
 * Revision 1.2  2003/03/29 12:21:10  csmith
 * cvs merge to 0.3.4
 *
 * Revision 1.3  2002/11/30 14:04:42  chris
 * GPL headers
 *
 * Revision 1.2  2002/03/17 18:43:51  chris
 * Handle the destruction of semaphores and shm on exit
 *
 * Revision 1.1  2002/03/02 15:20:53  chris
 * Startup stuff.
 *
 * ----------------------------------------------------------------------------
 */

/* Define administrative operation modes
 */
typedef enum { 
  GOLDWATER_STARTUP, 
  GOLDWATER_SHUTDOWN, 
  GOLDWATER_ADMIN_INTERACTIVE,
  GOLDWATER_ADMIN_COMMAND,
  GOLDWATER_ADMIN_BATCH
} AdminMode;

RetValue bs_init();
RetValue bs_remove();

#endif
