#ifndef SCD_IPC_H
#define SCD_IPC_H
/*
 *
 * Copyright 1996-2002 netFluid Technology Limited
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF NETFLUID TECHNOLOGY LIMITED
 *
 * The copyright notice above does not evidence any actual or intended 
 * publication of such source code.    
 * ----------------------------------------------------------------------------
 * $Log: gwipc.h,v $
 * Revision 1.2  2003/03/29 12:21:10  csmith
 * cvs merge to 0.3.4
 *
 * Revision 1.10  2003/01/04 16:28:47  chris
 * gw_init is now intelligent about detecting if Goldwater is running.
 * By repeatedly calling gw_init() a client can make sure they stay attached
 * without having to do gw_init(), gw_release() over and over.  gw_init() will
 * detect that the backend has been bounced and try its hardest to reconnect.
 *
 * Revision 1.9  2002/06/10 17:34:47  chris
 * All phlib includes have phlib/ prefix and gwlib includes have nothing.
 *
 * Revision 1.8  2002/03/12 22:51:01  chris
 * Added BBReqQueue support.  Currently defines a BBReqQueue entry for
 * each server, even though servers are grouped into classes and thus
 * will usually share a queue.
 *
 * Revision 1.7  2001/12/26 22:57:42  chris
 * Changed all references to Imagepage Computing to netFluid Technology.
 *
 * Revision 1.6  2001/06/03 10:49:03  chris
 * Removed attach_bb.
 *
 * Revision 1.5  2001/04/15 12:55:32  chris
 * Introduced domain table handling.
 *
 * Revision 1.4  2001/03/19 15:47:42  chris
 * Added xl_types.h
 *
 * Revision 1.3  2001/03/05 14:24:17  chris
 * Creates service map list.
 *
 * Revision 1.2  2001/01/14 18:46:00  chris
 * Added send_boot_command to prototypes.
 *
 * Revision 1.1  2001/01/14 18:22:49  chris
 * Initial revision
 *
 * ----------------------------------------------------------------------------
 */

#include <phlib/xl_types.h>
#include <goldreq.h>

int        get_queue   ( key_t key );
int        get_private_queue ( );
int        remove_queue( int id );

#endif



